Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
verconf.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RUBY_BASE_NAME "ruby"
#define | RUBY_VERSION_NAME RUBY_BASE_NAME"-"RUBY_LIB_VERSION
#define | RUBY_LIB_VERSION_STYLE 3 /* full */
#define | RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/"RUBY_BASE_NAME
#define | RUBY_ARCH_PREFIX_FOR(arch) RUBY_LIB_PREFIX"/"arch
#define | RUBY_SITEARCH_PREFIX_FOR(arch) RUBY_LIB_PREFIX"/"arch
#define | RUBY_ARCH_LIB_FOR(arch) RUBY_LIB"/"arch
#define | RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"
#define | RUBY_SITE_ARCH_LIB_FOR(arch) RUBY_SITE_LIB2"/"arch
#define | RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"
#define | RUBY_VENDOR_ARCH_LIB_FOR(arch) RUBY_VENDOR_LIB2"/"arch
#define | RUBY_PLATFORM "x86_64-linux"

## Macro Definition Documentation

#define RUBY_ARCH_LIB_FOR | ( |  | arch | ) | RUBY_LIB"/"arch

Definition at line 7 of file verconf.h.

#define RUBY_ARCH_PREFIX_FOR | ( |  | arch | ) | RUBY_LIB_PREFIX"/"arch

Definition at line 5 of file verconf.h.

#define RUBY_BASE_NAME "ruby"

Definition at line 1 of file verconf.h.

#define RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/"RUBY_BASE_NAME

Definition at line 4 of file verconf.h.

#define RUBY_LIB_VERSION_STYLE 3 /* full */

Definition at line 3 of file verconf.h.

#define RUBY_PLATFORM "x86_64-linux"

Definition at line 12 of file verconf.h.

#define RUBY_SITE_ARCH_LIB_FOR | ( |  | arch | ) | RUBY_SITE_LIB2"/"arch

Definition at line 9 of file verconf.h.

#define RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"

Definition at line 8 of file verconf.h.

#define RUBY_SITEARCH_PREFIX_FOR | ( |  | arch | ) | RUBY_LIB_PREFIX"/"arch

Definition at line 6 of file verconf.h.

#define RUBY_VENDOR_ARCH_LIB_FOR | ( |  | arch | ) | RUBY_VENDOR_LIB2"/"arch

Definition at line 11 of file verconf.h.

#define RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"

Definition at line 10 of file verconf.h.

#define RUBY_VERSION_NAME RUBY_BASE_NAME"-"RUBY_LIB_VERSION

Definition at line 2 of file verconf.h.